Bug 981099 - Scratch announced in Release note but not available in repo
Scratch announced in Release note but not available in repo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scratch (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 22:57 EDT by Robin Lee
Modified: 2013-07-12 21:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: scratch-1.4.0.7-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 21:57:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2013-07-03 22:57:11 EDT
Scratch is announced in release note of Fedora 19.
http://docs.fedoraproject.org/en-US/Fedora/19/html/Release_Notes/sect-Release_Notes-Changes_for_Developers.html#idm263807926608

But, 
$ yum info scratch
Loaded plugins: auto-update-debuginfo, changelog, langpacks, merge-conf, remove-with-leaves, show-leaves
Error: No matching Packages to list

It seems that scratch has not been pushed as an update for Fedora 19.
Comment 1 Tommy He 2013-07-04 03:54:50 EDT
According to https://apps.fedoraproject.org/packages/scratch, scratch has never  seem to build against F19.
Comment 2 Fedora Update System 2013-07-04 17:47:54 EDT
scratch-1.4.0.7-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scratch-1.4.0.7-5.fc19
Comment 3 Matthew Miller 2013-07-04 17:51:08 EDT
Sorry about that. Two issues caused me to pull this as a feature: the 64-bit squeak plugins aren't actually 64-bit clean (and so don't really work) and upstream isn't particularly interested in this as a problem, and also, the new Scratch 2.0 which is Flash and web-based only. So, it was supposed to be pulled from the release notes.

I still am happy to do the package, though, with those caveats. Please test the pending update at https://admin.fedoraproject.org/updates/scratch-1.4.0.7-5.fc19 and add a karma upvote if it works for you.

(And I'm sure the squeakvm package will take patches for the 64-bit issue.)
Comment 4 Fedora Update System 2013-07-05 20:54:08 EDT
scratch-1.4.0.7-5.fc19 has been pushed to the Fedora 19 testing repository.
Comment 5 Fedora Update System 2013-07-12 21:57:03 EDT
scratch-1.4.0.7-5.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.